> **Description:** Retrieve chronological history of payment lifecycle events including creation, authorization, capture, and refund actions.

# Get payment event log

You can see the history of the payment events with the
[`GET:/epayment/v1/payments/{reference}/events`](https://developer.vippsmobilepay.com/redocusaurus/epayment-swagger-id.yaml).
This will return a list of all events for a given payment.

This is the authoritative data for all details and operations for a payment.

## Authorization

All ePayment API requests must include a valid Bearer token in the `Authorization` header.
See [Authorization](https://developer.vippsmobilepay.com/docs/APIs/epayment-api/api-guide/concepts.md#authorization) for how to obtain one.

## Event log request

```bash
curl -X GET https://apitest.vipps.no/epayment/v1/payments/UNIQUE-PAYMENT-REFERENCE/events \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR-ACCESS-TOKEN" \
-H "Ocp-Apim-Subscription-Key: YOUR-SUBSCRIPTION-KEY" \
-H "Merchant-Serial-Number: YOUR-MSN" \
-H "Vipps-System-Name: acme" \
-H "Vipps-System-Version: 3.1.2" \
-H "Vipps-System-Plugin-Name: acme-webshop" \
-H "Vipps-System-Plugin-Version: 4.5.6"
```

*Response example:*

An example response would look like this:

```json
[
    { // Create Payment example event
        "reference": "acme-shop-123-order123abc",
        "pspReference": "83b3fdb0-9547-4ec5-bdb7-5600ce70e792",
        "name": "CREATED",
        "amount": {
            "currency": "NOK",
            "value": 49900
        },
        "timestamp": "2023-03-27T10:51:44.5333258Z",
        "idempotencyKey": "19986263-dedf-4b8e-a424-8d042eee4013",
        "success": true
    },
    { // Payment authorized example event
        "reference": "acme-shop-123-order123abc",
        "pspReference": "1304787731",
        "name": "AUTHORIZED",
        "amount": {
            "currency": "NOK",
            "value": 49900
        },
        "timestamp": "2023-03-27T10:51:59.378Z",
        "idempotencyKey": "19986263-dedf-4b8e-a424-8d042eee4013",
        "success": true
    },
    { // Captured Payment example event
        "reference": "acme-shop-123-order123abc",
        "pspReference": "2018200034",
        "name": "CAPTURED",
        "amount": {
            "currency": "NOK",
            "value": 10000
        },
        "timestamp": "2023-03-27T10:52:07.748Z",
        "idempotencyKey": "19986263-dedf-4b8e-a424-8d042eee4013",
        "success": true
    },
    { // Cancelled Payment example event
        "reference": "acme-shop-123-order123abc",
        "pspReference": "2019200034",
        "name": "CANCELLED",
        "amount": {
            "currency": "NOK",
            "value": 750
        },
        "timestamp": "2023-03-27T10:52:15.616Z",
        "success": true
    }
]
```

**Response schema:**

Note that the response is not identical across all operations.
For example, the *Cancel* operation does not supply a value for `idempotencyKey`.

## Polling guidelines

We have added rate limiting to our APIs to increase the stability and security of our APIs.
Please see:

* [Rate limits](https://developer.vippsmobilepay.com/docs/APIs/epayment-api/api-guide/errors.md#rate-limiting)
* [Polling guidelines](https://developer.vippsmobilepay.com/docs/knowledge-base/polling-guidelines.md)

> **Full site overview:** For every page in this documentation, read [https://developer.vippsmobilepay.com/llms.txt](https://developer.vippsmobilepay.com/llms.txt).
